summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-04-11 13:29:07 +0300
committerAndrei Karas <akaras@inbox.ru>2016-04-11 13:29:07 +0300
commit0e35cb378b376d4cb1e490ae21b6ead773a0f146 (patch)
tree38750452d0b9f433c813a96ab15938eea2ee063d
parentb0ab8927c20bf33eb964fb456039605e2f417f02 (diff)
downloadtools-0e35cb378b376d4cb1e490ae21b6ead773a0f146.tar.gz
tools-0e35cb378b376d4cb1e490ae21b6ead773a0f146.tar.bz2
tools-0e35cb378b376d4cb1e490ae21b6ead773a0f146.tar.xz
tools-0e35cb378b376d4cb1e490ae21b6ead773a0f146.zip
gitlab-ci: add workaround for network issues in runners.
-rwxr-xr-xgitlab-ci/clientdata.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/gitlab-ci/clientdata.sh b/gitlab-ci/clientdata.sh
index d92c241..0561788 100755
--- a/gitlab-ci/clientdata.sh
+++ b/gitlab-ci/clientdata.sh
@@ -7,11 +7,23 @@ mkdir shared
echo >shared/error.log
echo ${CI_BUILD_ID} >shared/buildid.log
+function gitclone {
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 3s
+ git clone $*
+ fi
+ fi
+}
+
cd ..
ln -s clientdata client-data
rm -rf music
-git clone --depth 1 https://gitlab.com/evol/evol-music.git music
+gitclone --depth 1 https://gitlab.com/evol/evol-music.git music
cd tools/testxml